Summary: Kernel loader which uses a FAT or iso9660 filesystem or a PXE network
Name:    syslinux
Version: 2.08
Release: 4tr
License: GPL
Group: Trustix Official
Source0: ftp://ftp.kernel.org/pub/linux/utils/boot/syslinux/%{name}-%{version}.tar.bz2
Patch:   syslinux-2.08-png2pnm.patch
ExclusiveArch: i386 i586 x86_64
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: nasm >= 0.98.35, perl, libpng-tools

%description
Syslinux is a simple kernel loader. It normally loads the kernel (and an 
optional initrd image) from a FAT filesystem. It can also be used as a
PXE bootloader during network boots (PXELINUX), or for booting from
ISO 9660 CD-ROMs (ISOLINUX).

%package tools
Summary: additional components for syslinux
Group: Trustix Official
Requires: %{name} = %{version}

%description tools
Some additional tools you sometimes need for syslinux.


%prep
%setup -q -n syslinux-%{version}
%patch -p1

%build
make DATE="$(echo `date +%%m-%%d-%%Y` TSL build)" \
     CC="gcc %{?no_stack_protector}" clean
make DATE="$(echo `date +%%m-%%d-%%Y` TSL build)" \
     CC="gcc %{?no_stack_protector}" installer
mv syslinux syslinux-mtools
mv syslinux-nomtools syslinux

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/syslinux
mkdir -p $RPM_BUILD_ROOT%{_includedir}
make install install-lib \
     INSTALLROOT=%{buildroot} BINDIR=%{_bindir} \
     LIBDIR=%{_libdir} INCDIR=%{_includedir}
install -m 644 sample/mdiskchk.com $RPM_BUILD_ROOT%{_libdir}/syslinux/

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README *.doc memdisk/*.doc COPYING
%doc sample/sample.msg sample/syslogo.lss sample/syslogo.png
%{_bindir}/syslinux
%{_libdir}/syslinux/pxelinux.0
%{_libdir}/syslinux/isolinux.bin

%files tools
%defattr(-,root,root)
%{_bindir}/gethostip
%{_bindir}/ppmtolss16
%{_bindir}/lss16toppm
%{_libdir}/syslinux/isolinux-debug.bin
%{_libdir}/syslinux/syslinux.com
%{_libdir}/syslinux/syslinux.exe
%{_libdir}/syslinux/copybs.com
%{_libdir}/syslinux/memdisk
%{_libdir}/syslinux/mdiskchk.com


%changelog
* Fri Jan 30 2004 Oystein Viggen <oysteivi at trustix dot org> 2.08-2tr
- Won't build with stack protector

* Sat Jan 10 2004 Goetz Bock <bg at trustix dot org> 2.08-1bg
- new upstream: 2.08
- include isolinux, and add tools subpackage

* Wed Dec 10 2003 Erlend Midttun <erlendbm at trustix dot com> 1.67-7tr
- Big rebuild

* Sat Jul  5 2003 Gerald Dachs <gda at trustix dot org> 1.67-6gd
- Added pxelinux.0 to %files
- fixed bug that installs files to /usr/lib/syslinux during rpm build!

* Wed Jun 18 2003 Erlend Midttun <erlendbm at trustix dot com> 1.67-5tr
- Big rebuild

* Mon May 19 2003 Erlend Midttun <erlendbm at trustix dot com> 1.67-4em
- Now even compiles with GCC 3.3

* Mon Mar 24 2003 Erlend Midttun <erlendbm at trustix dot com> 1.67-3em
- Rebuilt against glibc 2.3.2.

* Sat Feb 01 2003 Tor Hveem <torh at trustix dot org> 1.67-2th
- fixed package Group

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Sat Feb 10 2001 Matt Wilson <msw@redhat.com>
- 1.52

* Wed Jan 24 2001 Matt Wilson <msw@redhat.com>
- 1.51pre7

* Mon Jan 22 2001 Matt Wilson <msw@redhat.com>
- 1.51pre5

* Fri Jan 19 2001 Matt Wilson <msw@redhat.com>
- 1.51pre3, with e820 detection

* Tue Dec 12 2000 Than Ngo <than@redhat.com>
- rebuilt with fixed fileutils

* Thu Nov 9 2000 Than Ngo <than@redhat.com>
- update to 1.49
- update ftp site
- clean up specfile
- add some useful documents

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- add %%defattr (release 4)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul 06 2000 Trond Eivind Glomsrd <teg@redhat.com>
- use %%{_tmppath}
- change application group (Applications/Internet doesn't seem
  right to me)
- added BuildRequires

* Tue Apr 04 2000 Erik Troan <ewt@redhat.com>
- initial packaging
